## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-email-validator
Version:        2.2.0
Release:        %autorelease
Summary:        A robust email syntax and deliverability validation library

License:        Unlicense
URL:            https://github.com/JoshData/python-email-validator
Source0:        %{url}/archive/v%{version}/python-email-validator-%{version}.tar.gz
# Man page hand-written for Fedora in groff_man(7) format, based closely on the
# comments in email_validator/__main__.py, email_validator/__init__.py, and
# README.md.
#
# Interest in a man page?
# https://github.com/JoshData/python-email-validator/issues/146
Source1:        email_validator.1

# Fix a few minor typos
# https://github.com/JoshData/python-email-validator/pull/143
Patch:          %{url}/pull/143.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# test_requirements.txt pins exact versions and includes unwanted coverage and
# linting dependencies, so we fall back to manual BuildRequires:
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
This library validates that a string is of the form name@example.com and
optionally checks that the domain name is set up to receive email. This is the
sort of validation you would want when you are identifying users by their email
address like on a registration/login form (but not necessarily for composing an
email message).

Key features:

  • Checks that an email address has the correct syntax – great for
    email-based registration/login forms or validating data.
  • Gives friendly English error messages when validation fails that you can
    display to end-users.
  • Checks deliverability (optional): Does the domain name resolve? (You can
    override the default DNS resolver to add query caching.)
  • Supports internationalized domain names and internationalized local parts.
  • Rejects addresses with unsafe Unicode characters, obsolete email address
    syntax that you’d find unexpected, special use domain names like
    @localhost, and domains without a dot by default. This is an opinionated
    library!
  • Normalizes email addresses (important for internationalized and
    quoted-string addresses!)
  • Python type annotations are used.}

%description %{_description}

%package -n     python3-email-validator
Summary:        %{summary}

%description -n python3-email-validator %{_description}

%prep
%autosetup -n python-email-validator-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l email_validator
install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'

%check
%pytest -v tests -m 'not network'

%files -n python3-email-validator -f %{pyproject_files}
%doc CHANGELOG.md README.md
%{_bindir}/email_validator
%{_mandir}/man1/email_validator.1*

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.2.0-2
- Add a man page for the email_validator command

* Fri Jun 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.2.0-1
- Update to 2.2.0 (close RHBZ#2293525)

* Fri Jun 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.2-3
- Apply a patch to fix typos
- This includes user-visible fixes for minor typos in README.md and
  CHANGELOG.md

* Fri Jun 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.2-2
- Fix a minor typo in the description

* Mon Jun 17 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.2-1
- Update to 2.1.2 (close RHBZ#2292616)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.1.1-2
- Rebuilt for Python 3.13

* Mon Feb 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.1-1
- Update to 2.1.1 (close RHBZ#2266191)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.0-2
- Assert %%pyproject_files contains a license file

* Sun Oct 22 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.1.0-1
- Update to 2.1.0 (close RHBZ#2245518)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-6
- Don’t package CONTRIBUTING.md; do package CHANGELOG.md

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-5
- Improve the package description

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-4
- Record that upstream was asked to consider relicensing

* Thu Jul 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-3
- Do not number the sole Source

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-1
- Update to 2.0.0 (close RHBZ#2203865)

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.1-1
- Update to 1.3.1

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.1-1
- Update to 1.2.1 (includes breaking changes from 1.x)

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-1
- Update to 1.1.3

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-11
- Update License to SPDX
- Fix up a few obsolete packaging practices
- Do not repeat the description text in the spec file
- Remove unnecessary and unwanted coverage dependencies
- Port to pyproject-rpm-macros

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.1.1-10
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.1.1-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.1.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1
- Enable tests
- Update to new upstream release 1.1.1

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0.5-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.5-2
- Implement changes from rhbz#1787419 to match rhbz#1733683

* Mon Jan 06 2020 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5.
- Review fixes.

* Sat Jul 27 2019 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.0.4-1
- Initial package.

## END: Generated by rpmautospec
